Subject: RE: Strange cd/CDPATH behavior
From: "Schaible, Joerg" <[email-masked]>
To: Erik Nolte <[email-masked]>
Cc: cygwin-list <[email-masked]>
Date: Tue, 26 Sep 2000 19:02:44 +0200

Hi Erik,

> Unfortunately, what I'm really doing is "cd $SRC_PATH" where 
> SRC_PATH is
> "W:/src".  SRC_PATH must be a DOS style path to keep javac and other
> windows-based software happy (they can't grok paths without 
> drive letters).

Why don't you keep your SRC_PATH in real DOS style and convert it when
needed ? I do this myself for e.g. for CLASSPATH (I don't need this in
Cygwin style normally, except when I add paths automatically read by the
registry).

export SRC_PATH=c:\\source
cd `cygpath -u $SRC_PATH`

Greetings,
Jörg

--
Want to unsubscribe from this list?
Send a message to [email-masked]